From de8142f22bf29abc8c6a0043b31944e105d64a2f Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: May 02 2016 20:27:12 +0000
Subject: [PATCH 470/1001] Use the new endpoint for the avatar instead of username2avatar


---

diff --git a/hubs/models.py b/hubs/models.py
index 059ad28..d228464 100755
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -41,7 +41,6 @@ import fedmsg.utils
 
 import hubs.defaults
 import hubs.widgets
-from hubs.utils import username2avatar
 
 
 class HubsBase(object):
@@ -228,7 +227,7 @@ class Hub(BASE):
     @classmethod
     def create_user_hub(cls, session, username, fullname):
         hub = cls(name=username, summary=fullname,
-                  avatar=username2avatar(username),
+                  avatar=hubs.widget.base.avatar(username),
                   user_hub=True)
         session.add(hub)
 
@@ -242,7 +241,7 @@ class Hub(BASE):
     def create_group_hub(cls, session, name, summary, **extra):
         hub = cls(name=name, summary=summary,
                   # TODO -- do something else, smarter for group avatars
-                  avatar=username2avatar(name),
+                  avatar=hubs.widget.base.avatar(username),
                   user_hub=False)
         session.add(hub)
 
@@ -349,7 +348,7 @@ class User(BASE):
         return {
             'username': self.username,
             'openid': self.openid,
-            'avatar': username2avatar(self.username),
+            'avatar': hubs.widget.base.avatar(self.username),
             'fullname': self.fullname,
             'created_on': self.created_on,
             # We'll need hubs subscribed to, owned, etc..

